Page MenuHomePhabricator

Part of next image visible when tapping previous/next button multiple times in Gallery view
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:

  1. Go to Gallery Slider View
  2. Tap next button multiple times in a short time

Actual Results:

  1. The animation keeps left/right moving
  2. The final state has part of the next image slightly visible
iOSAndroid

Expected Results:

  1. All next/previous are processed
  2. The final state shows one image centered

Event Timeline

hueitan created this task.Sep 16 2020, 9:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2020, 9:45 AM
hueitan updated the task description. (Show Details)Sep 16 2020, 9:47 AM
hueitan added a subscriber: SGautam_WMF.

@SGautam_WMF let me know what's in your thoughts.

hueitan updated the task description. (Show Details)Sep 16 2020, 2:34 PM
AMuigai moved this task from Bugs to Q2-2020 on the Inuka-Team board.Oct 1 2020, 1:32 PM
SBisson moved this task from Q2-2020 to Kanban on the Inuka-Team board.Oct 5 2020, 7:16 PM
SBisson edited projects, added Inuka-Team (Kanban); removed Inuka-Team.

@hueitan apologies for late reply, is it possible to send a screen capture of the issue? I am unable to create it precisely.

hueitan added a comment.EditedOct 15 2020, 7:52 AM

after several pressing on the arrow, i got this

(Tested on iOS browser)

SBisson renamed this task from Weird behaviour when tapping previous/next button multiple times in Gallery view to Part of next image visible when tapping previous/next button multiple times in Gallery view.Oct 21 2020, 3:01 PM
SBisson triaged this task as Medium priority.
SBisson updated the task description. (Show Details)
SBisson updated the task description. (Show Details)Oct 21 2020, 3:04 PM
SBisson moved this task from Backlog to Ready for Dev on the Inuka-Team (Kanban) board.
hueitan updated the task description. (Show Details)Oct 22 2020, 10:16 AM
eamedina claimed this task.Oct 26 2020, 9:43 PM
eamedina moved this task from Ready for Dev to Dev on the Inuka-Team (Kanban) board.
hueitan moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Oct 27 2020, 8:46 AM
Jpita moved this task from QA to Design sign off on the Inuka-Team (Kanban) board.Nov 2 2020, 5:49 PM
AMuigai closed this task as Resolved.Nov 5 2020, 12:27 PM